diff --git a/src/pp.c b/src/pp.c
index 09f2ce9570..54cb8e37a3 100644
--- a/src/pp.c
+++ b/src/pp.c
@@ -68,15 +68,16 @@
 #endif
 #include <ctype.h>
 #include <signal.h>
+
 #if _MSC_VER || __MINGW32__ || __MINGW64__ || __CYGWIN__ || HAVE_WINDOWS_H
 #include "win32_memmap.h"
+#undef MEM_FREE
 #ifndef __CYGWIN__
 #include "mmap-windows.c"
-#elif defined HAVE_MMAP
-#include <sys/mman.h>
-#endif
-#undef MEM_FREE
-#elif defined(HAVE_MMAP)
+#endif /* __CYGWIN */
+#endif /* _MSC_VER ... */
+
+#if defined(HAVE_MMAP)
 #include <sys/mman.h>
 #endif
 
diff --git a/src/wordlist.c b/src/wordlist.c
index 5c4c434d8f..b453330999 100644
--- a/src/wordlist.c
+++ b/src/wordlist.c
@@ -46,15 +46,16 @@
 
 #if _MSC_VER || __MINGW32__ || __MINGW64__ || __CYGWIN__ || HAVE_WINDOWS_H
 #include "win32_memmap.h"
+#undef MEM_FREE
 #ifndef __CYGWIN__
 #include "mmap-windows.c"
-#elif defined HAVE_MMAP
-#include <sys/mman.h>
-#endif
-#undef MEM_FREE
-#elif defined(HAVE_MMAP)
+#endif /* __CYGWIN */
+#endif /* _MSC_VER ... */
+
+#if defined(HAVE_MMAP)
 #include <sys/mman.h>
 #endif
+
 #include <errno.h>
 
 #include "arch.h"
